> For the complete documentation index, see [llms.txt](https://docs.audit.venturytechnology.fr/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.audit.venturytechnology.fr/authentifications/flux-complet-auth-greater-than-mfa-greater-than-result.md).

# Flux complet Auth -> MFA -> Result

{% stepper %}
{% step %}

### L'utilisateur saisit ses informations

-> \[/auth], l'utilisateur entre ses informations personnelles et professionnels. Nom, Prenom, Email, téléphone, nom de l'entreprise, Poste et message de fin (optionnelle)
{% endstep %}

{% step %}

### Serveur actions -> submit le formulaire

avec la fonction `submitForm`  dans `actions/auth.actions.ts` . Nous créons 2 cookies, `mfa_expected_code`  pour stocker le code MFA et `temp_auth_data` pour stocker temporairement les informations de l'utilisateur.
{% endstep %}

{% step %}

### Redirection vers /auth/mfa&#x20;

L'utilisateur peut alors rentrer le code à 6 chiffres qu'il à reçu par mail. Le cookie `mfa_verified`  est alors posé, par défault sur `false`, une fois le code validé et correspond, passera sur `true` .
{% endstep %}

{% step %}

### Redirection vers /auth/verify

Verifie les informations, page de transitions
{% endstep %}

{% step %}

### Redirection vers /result

L'utilisateur bascule sur la page de score et d'informations sur ses réponses.

-> api/mail/send : Pour l'envoie du rapport par PDF à l'utilisateur et à Ventury Technology
{% endstep %}
{% endstepper %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.audit.venturytechnology.fr/authentifications/flux-complet-auth-greater-than-mfa-greater-than-result.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
